function onTalk()
	disableMovement()
	if getFlag("gotEarthblade",true) then
		say("CC_Earthblade_PortalIntro")
		if choice("CC_Earthblade_yes","CC_Earthblade_no") == 1 then
			playSound("event:/char/oshiro/boss_enter_screen")
			playSound("event:/ui/main/rename_entry_space")
			setFlag("teleporting",true)
			wait(0.8)
			enableMovement()
			playMusic("event:/CrossoverCollab/Earthblade/Poison_in_the_Roots",3)
			teleport(5816,-2312,"b-9")
		else
			endCutscene()
		end
	else
		say("CC_Earthblade_PortalNotWorking")
	end
end

function onEnd()
	setFlag("teleporting",false)
	enableMovement()
end